biterp

List customer subscription events

GET
/customer-subscriptions/{id}/events
AuthorizationBearer <token>

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.biterp.ai/customer-subscriptions/{id}/events"
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "subscription_id": "aa11a4c2-a467-43db-b413-c4ab0f5cf627",
      "event_type": "string",
      "source": "string",
      "effective_date": "2019-08-24",
      "previous_snapshot": {},
      "new_snapshot": {},
      "changed_fields": [
        "string"
      ],
      "external_event_id": "string",
      "description": "string",
      "metadata": {},
      "created_at": "2019-08-24T14:15:22Z"
    }
  ]
}
{
  "status_code": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}
{
  "status_code": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}
{
  "status_code": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}
{
  "status_code": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}